# Preview a quantity adjustment: per-machine breakdown, whether explicit allocation is required, and material/below-produced warnings (read-only) (/docs/api-reference/production-orders/ProductionOrdersController_previewAdjustQuantity)

`GET /api/factories/{factoryId}/production-orders/{id}/adjust-quantity/preview`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `id` | path | yes | string | Production Order ID |
| `quantityTarget` | query | yes | string | Proposed new target quantity |

## Responses

### 200: Adjustment preview

### 400: Order is not in an adjustable state

### 404: Production order not found